/*
   Copyright 2005 Red Hat, Inc.
   All rights reserved.

   Redistribution and use in source and binary forms, with or without
   modification, are permitted provided that the following conditions are met:

    * Redistributions of source code must retain the above copyright
      notice, this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright
      notice, this list of conditions and the following disclaimer in
      the documentation and/or other materials provided with the
      distribution.
    * Neither the name of Red Hat, Inc., nor the names of its
      contributors may be used to endorse or promote products derived
      from this software without specific prior written permission.

   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
   IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
   TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
   PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
   OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
   EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
   PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
   PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
   LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
   NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
   SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef oddjob_common_h
#define oddjob_common_h

#include "../config.h"

#define ODDJOB_SERVICE_NAME		ODDJOB_NAMESPACE ".oddjob"
#define ODDJOB_OBJECT_PATH		ODDJOB_NAMESPACE_PATH "/oddjob"
#define ODDJOB_INTERFACE_NAME		ODDJOB_NAMESPACE ".oddjob"
#define ODDJOB_LIST_REQUESTS_METHOD	"list"

#ifndef DBUS_MAJOR_VERSION
#define DBUS_MAJOR_VERSION ODDJOB_DBUS_MAJOR_VERSION
#endif
#ifndef DBUS_MINOR_VERSION
#define DBUS_MINOR_VERSION ODDJOB_DBUS_MINOR_VERSION
#endif

#ifndef DBUS_CHECK_VERSION
#define DBUS_CHECK_VERSION(_major,_minor) ((DBUS_MAJOR_VERSION > _major) || ((DBUS_MAJOR_VERSION == _major) && (DBUS_MINOR_VERSION >= _minor)))
#endif

void oddjob_send_request(const char *method,
			 const char *s1, const char *s2,
			 const char *s3, const char *s4,
			 char *text, size_t textlen);

#endif
